diff --git a/)') b/)')
new file mode 100644
index 0000000..333a0b5
--- /dev/null
+++ b/)')
@@ -0,0 +1,258 @@
+
+                   SSUUMMMMAARRYY OOFF LLEESSSS CCOOMMMMAANNDDSS
+
+      Commands marked with * may be preceded by a number, _N.
+      Notes in parentheses indicate the behavior if _N is given.
+      A key preceded by a caret indicates the Ctrl key; thus ^K is ctrl-K.
+
+  h  H                 Display this help.
+  q  :q  Q  :Q  ZZ     Exit.
+ ---------------------------------------------------------------------------
+
+                           MMOOVVIINNGG
+
+  e  ^E  j  ^N  CR  *  Forward  one line   (or _N lines).
+  y  ^Y  k  ^K  ^P  *  Backward one line   (or _N lines).
+  f  ^F  ^V  SPACE  *  Forward  one window (or _N lines).
+  b  ^B  ESC-v      *  Backward one window (or _N lines).
+  z                 *  Forward  one window (and set window to _N).
+  w                 *  Backward one window (and set window to _N).
+  ESC-SPACE         *  Forward  one window, but don't stop at end-of-file.
+  d  ^D             *  Forward  one half-window (and set half-window to _N).
+  u  ^U             *  Backward one half-window (and set half-window to _N).
+  ESC-)  RightArrow *  Right one half screen width (or _N positions).
+  ESC-(  LeftArrow  *  Left  one half screen width (or _N positions).
+  ESC-}  ^RightArrow   Right to last column displayed.
+  ESC-{  ^LeftArrow    Left  to first column.
+  F                    Forward forever; like "tail -f".
+  ESC-F                Like F but stop when search pattern is found.
+  r  ^R  ^L            Repaint screen.
+  R                    Repaint screen, discarding buffered input.
+        ---------------------------------------------------
+        Default "window" is the screen height.
+        Default "half-window" is half of the screen height.
+ ---------------------------------------------------------------------------
+
+                          SSEEAARRCCHHIINNGG
+
+  /_p_a_t_t_e_r_n          *  Search forward for (_N-th) matching line.
+  ?_p_a_t_t_e_r_n          *  Search backward for (_N-th) matching line.
+  n                 *  Repeat previous search (for _N-th occurrence).
+  N                 *  Repeat previous search in reverse direction.
+  ESC-n             *  Repeat previous search, spanning files.
+  ESC-N             *  Repeat previous search, reverse dir. & spanning files.
+  ESC-u                Undo (toggle) search highlighting.
+  ESC-U                Clear search highlighting.
+  &_p_a_t_t_e_r_n          *  Display only matching lines.
+        ---------------------------------------------------
+        A search pattern may begin with one or more of:
+        ^N or !  Search for NON-matching lines.
+        ^E or *  Search multiple files (pass thru END OF FILE).
+        ^F or @  Start search at FIRST file (for /) or last file (for ?).
+        ^K       Highlight matches, but don't move (KEEP position).
+        ^R       Don't use REGULAR EXPRESSIONS.
+        ^W       WRAP search if no match found.
+ ---------------------------------------------------------------------------
+
+                           JJUUMMPPIINNGG
+
+  g  <  ESC-<       *  Go to first line in file (or line _N).
+  G  >  ESC->       *  Go to last line in file (or line _N).
+  p  %              *  Go to beginning of file (or _N percent into file).
+  t                 *  Go to the (_N-th) next tag.
+  T                 *  Go to the (_N-th) previous tag.
+  {  (  [           *  Find close bracket } ) ].
+  }  )  ]           *  Find open bracket { ( [.
+  ESC-^F _<_c_1_> _<_c_2_>  *  Find close bracket _<_c_2_>.
+  ESC-^B _<_c_1_> _<_c_2_>  *  Find open bracket _<_c_1_>.
+        ---------------------------------------------------
+        Each "find close bracket" command goes forward to the close bracket 
+          matching the (_N-th) open bracket in the top line.
+        Each "find open bracket" command goes backward to the open bracket 
+          matching the (_N-th) close bracket in the bottom line.
+
+  m_<_l_e_t_t_e_r_>            Mark the current top line with <letter>.
+  M_<_l_e_t_t_e_r_>            Mark the current bottom line with <letter>.
+  '_<_l_e_t_t_e_r_>            Go to a previously marked position.
+  ''                   Go to the previous position.
+  ^X^X                 Same as '.
+  ESC-M_<_l_e_t_t_e_r_>        Clear a mark.
+        ---------------------------------------------------
+        A mark is any upper-case or lower-case letter.
+        Certain marks are predefined:
+             ^  means  beginning of the file
+             $  means  end of the file
+ ---------------------------------------------------------------------------
+
+                        CCHHAANNGGIINNGG FFIILLEESS
+
+  :e [_f_i_l_e]            Examine a new file.
+  ^X^V                 Same as :e.
+  :n                *  Examine the (_N-th) next file from the command line.
+  :p                *  Examine the (_N-th) previous file from the command line.
+  :x                *  Examine the first (or _N-th) file from the command line.
+  :d                   Delete the current file from the command line list.
+  =  ^G  :f            Print current file name.
+ ---------------------------------------------------------------------------
+
+                    MMIISSCCEELLLLAANNEEOOUUSS CCOOMMMMAANNDDSS
+
+  -_<_f_l_a_g_>              Toggle a command line option [see OPTIONS below].
+  --_<_n_a_m_e_>             Toggle a command line option, by name.
+  __<_f_l_a_g_>              Display the setting of a command line option.
+  ___<_n_a_m_e_>             Display the setting of an option, by name.
+  +_c_m_d                 Execute the less cmd each time a new file is examined.
+
+  !_c_o_m_m_a_n_d             Execute the shell command with $SHELL.
+  |XX_c_o_m_m_a_n_d            Pipe file between current pos & mark XX to shell command.
+  s _f_i_l_e               Save input to a file.
+  v                    Edit the current file with $VISUAL or $EDITOR.
+  V                    Print version number of "less".
+ ---------------------------------------------------------------------------
+
+                           OOPPTTIIOONNSS
+
+        Most options may be changed either on the command line,
+        or from within less by using the - or -- command.
+        Options may be given in one of two forms: either a single
+        character preceded by a -, or a name preceded by --.
+
+  -?  ........  --help
+                  Display help (from command line).
+  -a  ........  --search-skip-screen
+                  Search skips current screen.
+  -A  ........  --SEARCH-SKIP-SCREEN
+                  Search starts just after target line.
+  -b [_N]  ....  --buffers=[_N]
+                  Number of buffers.
+  -B  ........  --auto-buffers
+                  Don't automatically allocate buffers for pipes.
+  -c  ........  --clear-screen
+                  Repaint by clearing rather than scrolling.
+  -d  ........  --dumb
+                  Dumb terminal.
+  -D xx_c_o_l_o_r  .  --color=xx_c_o_l_o_r
+                  Set screen colors.
+  -e  -E  ....  --quit-at-eof  --QUIT-AT-EOF
+                  Quit at end of file.
+  -f  ........  --force
+                  Force open non-regular files.
+  -F  ........  --quit-if-one-screen
+                  Quit if entire file fits on first screen.
+  -g  ........  --hilite-search
+                  Highlight only last match for searches.
+  -G  ........  --HILITE-SEARCH
+                  Don't highlight any matches for searches.
+  -h [_N]  ....  --max-back-scroll=[_N]
+                  Backward scroll limit.
+  -i  ........  --ignore-case
+                  Ignore case in searches that do not contain uppercase.
+  -I  ........  --IGNORE-CASE
+                  Ignore case in all searches.
+  -j [_N]  ....  --jump-target=[_N]
+                  Screen position of target lines.
+  -J  ........  --status-column
+                  Display a status column at left edge of screen.
+  -k [_f_i_l_e]  .  --lesskey-file=[_f_i_l_e]
+                  Use a lesskey file.
+  -K  ........  --quit-on-intr
+                  Exit less in response to ctrl-C.
+  -L  ........  --no-lessopen
+                  Ignore the LESSOPEN environment variable.
+  -m  -M  ....  --long-prompt  --LONG-PROMPT
+                  Set prompt style.
+  -n  -N  ....  --line-numbers  --LINE-NUMBERS
+                  Don't use line numbers.
+  -o [_f_i_l_e]  .  --log-file=[_f_i_l_e]
+                  Copy to log file (standard input only).
+  -O [_f_i_l_e]  .  --LOG-FILE=[_f_i_l_e]
+                  Copy to log file (unconditionally overwrite).
+  -p [_p_a_t_t_e_r_n]  --pattern=[_p_a_t_t_e_r_n]
+                  Start at pattern (from command line).
+  -P [_p_r_o_m_p_t]   --prompt=[_p_r_o_m_p_t]
+                  Define new prompt.
+  -q  -Q  ....  --quiet  --QUIET  --silent --SILENT
+                  Quiet the terminal bell.
+  -r  -R  ....  --raw-control-chars  --RAW-CONTROL-CHARS
+                  Output "raw" control characters.
+  -s  ........  --squeeze-blank-lines
+                  Squeeze multiple blank lines.
+  -S  ........  --chop-long-lines
+                  Chop (truncate) long lines rather than wrapping.
+  -t [_t_a_g]  ..  --tag=[_t_a_g]
+                  Find a tag.
+  -T [_t_a_g_s_f_i_l_e] --tag-file=[_t_a_g_s_f_i_l_e]
+                  Use an alternate tags file.
+  -u  -U  ....  --underline-special  --UNDERLINE-SPECIAL
+                  Change handling of backspaces.
+  -V  ........  --version
+                  Display the version number of "less".
+  -w  ........  --hilite-unread
+                  Highlight first new line after forward-screen.
+  -W  ........  --HILITE-UNREAD
+                  Highlight first new line after any forward movement.
+  -x [_N[,...]]  --tabs=[_N[,...]]
+                  Set tab stops.
+  -X  ........  --no-init
+                  Don't use termcap init/deinit strings.
+  -y [_N]  ....  --max-forw-scroll=[_N]
+                  Forward scroll limit.
+  -z [_N]  ....  --window=[_N]
+                  Set size of window.
+  -" [_c[_c]]  .  --quotes=[_c[_c]]
+                  Set shell quote characters.
+  -~  ........  --tilde
+                  Don't display tildes after end of file.
+  -# [_N]  ....  --shift=[_N]
+                  Set horizontal scroll amount (0 = one half screen width).
+                --file-size
+                  Automatically determine the size of the input file.
+                --follow-name
+                  The F command changes files if the input file is renamed.
+                --incsearch
+                  Search file as each pattern character is typed in.
+                --line-num-width=N
+                  Set the width of the -N line number field to N characters.
+                --mouse
+                  Enable mouse input.
+                --no-keypad
+                  Don't send termcap keypad init/deinit strings.
+                --no-histdups
+                  Remove duplicates from command history.
+                --rscroll=C
+                  Set the character used to mark truncated lines.
+                --save-marks
+                  Retain marks across invocations of less.
+                --status-col-width=N
+                  Set the width of the -J status column to N characters.
+                --use-backslash
+                  Subsequent options use backslash as escape char.
+                --use-color
+                  Enables colored text.
+                --wheel-lines=N
+                  Each click of the mouse wheel moves N lines.
+
+
+ ---------------------------------------------------------------------------
+
+                          LLIINNEE EEDDIITTIINNGG
+
+        These keys can be used to edit text being entered 
+        on the "command line" at the bottom of the screen.
+
+ RightArrow ..................... ESC-l ... Move cursor right one character.
+ LeftArrow ...................... ESC-h ... Move cursor left one character.
+ ctrl-RightArrow  ESC-RightArrow  ESC-w ... Move cursor right one word.
+ ctrl-LeftArrow   ESC-LeftArrow   ESC-b ... Move cursor left one word.
+ HOME ........................... ESC-0 ... Move cursor to start of line.
+ END ............................ ESC-$ ... Move cursor to end of line.
+ BACKSPACE ................................ Delete char to left of cursor.
+ DELETE ......................... ESC-x ... Delete char under cursor.
+ ctrl-BACKSPACE   ESC-BACKSPACE ........... Delete word to left of cursor.
+ ctrl-DELETE .... ESC-DELETE .... ESC-X ... Delete word under cursor.
+ ctrl-U ......... ESC (MS-DOS only) ....... Delete entire line.
+ UpArrow ........................ ESC-k ... Retrieve previous command line.
+ DownArrow ...................... ESC-j ... Retrieve next command line.
+ TAB ...................................... Complete filename & cycle.
+ SHIFT-TAB ...................... ESC-TAB   Complete filename & reverse cycle.
+ ctrl-L ................................... Complete filename, list all.
diff --git a/backend/.env b/backend/.env
index 355bfe6..88b5ba9 100644
--- a/backend/.env
+++ b/backend/.env
@@ -3,4 +3,19 @@ DB_NAME="test_database"
 CORS_ORIGINS="*"
 JWT_SECRET="techzone-super-secret-key-2024-production"
 DATABASE_URL="postgresql+asyncpg://techzone_user:techzone_pass@localhost:5432/techzone"
-PORT=8181
\ No newline at end of file
+PORT=8181
+# Notification Settings
+# SMTP Email Configuration (Gmail example)
+SMTP_HOST=smtp.gmail.com
+SMTP_PORT=587
+SMTP_USER=
+SMTP_PASSWORD=
+
+# Admin notification email
+ADMIN_EMAIL=admin@prompttech.com
+
+# WhatsApp Notification (CallMeBot API)
+# Get API key from: https://www.callmebot.com/blog/free-api-whatsapp-messages/
+ADMIN_PHONE=+5016261234
+WHATSAPP_API_URL=https://api.callmebot.com/whatsapp.php
+WHATSAPP_API_KEY=
diff --git a/backend/check_admin.py b/backend/check_admin.py
new file mode 100644
index 0000000..da8e68f
--- /dev/null
+++ b/backend/check_admin.py
@@ -0,0 +1,64 @@
+#!/usr/bin/env python3
+"""Check and create admin user"""
+
+import asyncio
+import sys
+from sqlalchemy.ext.asyncio import create_async_engine, AsyncSession
+from sqlalchemy.orm import sessionmaker
+from sqlalchemy import select
+import bcrypt
+from datetime import datetime, timezone
+
+sys.path.append('/media/pts/Website/PromptTech_Solution_Site/backend')
+from models import User, UserRole
+from database import DATABASE_URL
+
+async def check_and_create_admin():
+    engine = create_async_engine(DATABASE_URL, echo=False)
+    async_session = sessionmaker(engine, class_=AsyncSession, expire_on_commit=False)
+    
+    async with async_session() as session:
+        # Check for existing admin
+        result = await session.execute(select(User))
+        users = result.scalars().all()
+        
+        print(f"\n📊 Current users in database:")
+        for user in users:
+            print(f"  - {user.email} (Role: {user.role.value})")
+        
+        # Check if admin@prompttech.com exists
+        result = await session.execute(
+            select(User).where(User.email == "admin@prompttech.com")
+        )
+        admin = result.scalar_one_or_none()
+        
+        if admin:
+            print(f"\n✅ Admin user already exists: admin@prompttech.com")
+            print(f"   If you can't login, the password should be: admin123")
+        else:
+            print(f"\n⚠️  Admin user not found. Creating new admin...")
+            
+            # Create admin user
+            email = "admin@prompttech.com"
+            password = "admin123"
+            name = "Admin User"
+            
+            hashed_password = bcrypt.hashpw(password.encode('utf-8'), bcrypt.gensalt()).decode('utf-8')
+            
+            admin_user = User(
+                email=email,
+                name=name,
+                password=hashed_password,
+                role=UserRole.ADMIN,
+                created_at=datetime.now(timezone.utc)
+            )
+            
+            session.add(admin_user)
+            await session.commit()
+            
+            print(f"\n✅ Admin user created!")
+            print(f"   Email: {email}")
+            print(f"   Password: {password}")
+
+if __name__ == "__main__":
+    asyncio.run(check_and_create_admin())
diff --git a/backend/database.py b/backend/database.py
index 984e1cc..caec7f4 100644
--- a/backend/database.py
+++ b/backend/database.py
@@ -4,7 +4,7 @@ from sqlalchemy import create_engine
 import os
 
 # PostgreSQL connection string
-DATABASE_URL = os.environ.get('DATABASE_URL', 'postgresql+asyncpg://techzone_user:techzone_pass@localhost:5432/techzone')
+DATABASE_URL = os.environ.get('DATABASE_URL', 'postgresql+asyncpg://prompttech_user:prompttech_pass@localhost:5432/prompttech')
 SYNC_DATABASE_URL = DATABASE_URL.replace('+asyncpg', '')
 
 # Async engine for FastAPI
diff --git a/backend/drop_constraints.py b/backend/drop_constraints.py
new file mode 100644
index 0000000..0b3a79e
--- /dev/null
+++ b/backend/drop_constraints.py
@@ -0,0 +1,20 @@
+#!/usr/bin/env python3
+"""Drop price check constraints from database"""
+import asyncio
+from database import async_engine
+from sqlalchemy import text
+
+async def drop_constraints():
+    async with async_engine.begin() as conn:
+        # Drop services price constraint
+        result1 = await conn.execute(text('ALTER TABLE services DROP CONSTRAINT IF EXISTS chk_services_price_positive'))
+        print('Dropped chk_services_price_positive')
+        
+        # Drop products price constraint
+        result2 = await conn.execute(text('ALTER TABLE products DROP CONSTRAINT IF EXISTS chk_products_price_positive'))
+        print('Dropped chk_products_price_positive')
+        
+        print('Done!')
+
+if __name__ == "__main__":
+    asyncio.run(drop_constraints())
diff --git a/backend/drop_price_constraints.sh b/backend/drop_price_constraints.sh
new file mode 100755
index 0000000..0a19e1a
--- /dev/null
+++ b/backend/drop_price_constraints.sh
@@ -0,0 +1,9 @@
+#!/bin/bash
+# Drop check constraints on services and products tables
+# Run with: sudo ./drop_price_constraints.sh
+
+sudo -u postgres psql -d prompttech << 'SQL'
+ALTER TABLE services DROP CONSTRAINT IF EXISTS chk_services_price_positive;
+ALTER TABLE products DROP CONSTRAINT IF EXISTS chk_products_price_positive;
+\echo 'Constraints dropped successfully'
+SQL
diff --git a/backend/models.py b/backend/models.py
index 262c6cf..93a11cf 100644
--- a/backend/models.py
+++ b/backend/models.py
@@ -217,6 +217,23 @@ class Booking(Base):
     service_name = Column(String(255))
     created_at = Column(DateTime(timezone=True), server_default=func.now())
     
+    # Completion fields
+    completed_at = Column(DateTime(timezone=True), nullable=True)
+    diagnosis = Column(Text, nullable=True)  # Initial diagnosis/issue description
+    work_performed = Column(Text, nullable=True)  # What was done to fix it
+    technician_notes = Column(Text, nullable=True)  # Internal technician notes
+    service_cost = Column(Float, nullable=True)  # Final cost if different from base price
+    
+    # Payment fields
+    paid = Column(Boolean, default=False)
+    paid_at = Column(DateTime(timezone=True), nullable=True)
+    
+    # Device information fields
+    device_model = Column(String(255), nullable=True)  # e.g., "Dell Latitude 5520"
+    serial_number = Column(String(255), nullable=True)
+    product_number = Column(String(255), nullable=True)
+    screen_size = Column(String(50), nullable=True)  # e.g., "15-inch", "13-inch"
+    
     service = relationship("Service", back_populates="bookings")
     user = relationship("User", back_populates="bookings")
 
@@ -300,4 +317,35 @@ class CompanyValue(Base):
     display_order = Column(Integer, default=0)
     is_active = Column(Boolean, default=True)
     created_at = Column(DateTime(timezone=True), server_default=func.now())
-    updated_at = Column(DateTime(timezone=True), onupdate=func.now())
\ No newline at end of file
+    updated_at = Column(DateTime(timezone=True), onupdate=func.now())
+
+
+class MediaType(enum.Enum):
+    IMAGE = "image"
+    DOCUMENT = "document"
+    VIDEO = "video"
+    OTHER = "other"
+
+
+class Media(Base):
+    __tablename__ = "media"
+    
+    id = Column(String(36), primary_key=True, default=generate_uuid)
+    filename = Column(String(255), nullable=False)
+    original_filename = Column(String(255), nullable=False)
+    file_path = Column(String(500), nullable=False)
+    file_url = Column(String(500), nullable=False)
+    file_size = Column(Integer, default=0)  # Size in bytes
+    mime_type = Column(String(100))
+    media_type = Column(SQLEnum(MediaType), default=MediaType.IMAGE)
+    alt_text = Column(String(255))
+    title = Column(String(255))
+    description = Column(Text)
+    width = Column(Integer)  # For images
+    height = Column(Integer)  # For images
+    uploaded_by = Column(String(36), ForeignKey("users.id"), nullable=True)
+    is_active = Column(Boolean, default=True)
+    created_at = Column(DateTime(timezone=True), server_default=func.now())
+    updated_at = Column(DateTime(timezone=True), onupdate=func.now())
+    
+    uploader = relationship("User", foreign_keys=[uploaded_by])
\ No newline at end of file
